require 'sketchup.rb'
UI.menu("Plugins").add_item("create box"){
def create_box
prompts = ("Width"), ("Height"), ("Depth")
values = [6. feet, 5. feet, 10. feet]
results = inputbox prompts, values, ("Box dimensions")
return if not results

width, height, depth = results
model = Sketchup.active_model
model.start_operation ("Create box")
entities = model.active_entities
group = entities.add_group
entities = group.entities

pts = []
pts[0] = [0, 0, 0]
pts[1] = [width, 0, 0]
pts[2] = [width, depth, 0]
pts[3] = [0, depth, 0]
base = entities.add_face pts

height = -height 
base.pushpull height
model.commit_operation
end
create_box}



if(not file_loaded?("faanyag.rb"))
add_separator_to_menu("Draw")
UI.menu("Draw").add_item("Faanyag") {create_box}
end
file_loaded("faanyag.rb")
